ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.CmmToLlvm.Version

Synopsis

- newtype LlvmVersion = LlvmVersion {
  - llvmVersionNE :: NonEmpty Int
  }
- supportedLlvmVersionLowerBound :: LlvmVersion
- supportedLlvmVersionUpperBound :: LlvmVersion
- parseLlvmVersion :: String -> Maybe LlvmVersion
- llvmVersionSupported :: LlvmVersion -> Bool
- llvmVersionStr :: LlvmVersion -> String
- llvmVersionList :: LlvmVersion -> [Int]

# Documentation

newtype LlvmVersion Source #

Constructors

LlvmVersion |

Fields

- llvmVersionNE :: NonEmpty Int

#### Instances

Instances details

Eq LlvmVersion Source # |
Instance details Defined in GHC.CmmToLlvm.Version.Type Methods (==) :: LlvmVersion -> LlvmVersion -> Bool Source # (/=) :: LlvmVersion -> LlvmVersion -> Bool Source #
Ord LlvmVersion Source # |

Instance details

Defined in GHC.CmmToLlvm.Version.Type

Methods

compare :: LlvmVersion -> LlvmVersion -> Ordering Source #

(<) :: LlvmVersion -> LlvmVersion -> Bool Source #

(<=) :: LlvmVersion -> LlvmVersion -> Bool Source #

(>) :: LlvmVersion -> LlvmVersion -> Bool Source #

(>=) :: LlvmVersion -> LlvmVersion -> Bool Source #

max :: LlvmVersion -> LlvmVersion -> LlvmVersion Source #

min :: LlvmVersion -> LlvmVersion -> LlvmVersion Source #

supportedLlvmVersionLowerBound :: LlvmVersion Source #

The (inclusive) lower bound on the LLVM Version that is currently supported.

supportedLlvmVersionUpperBound :: LlvmVersion Source #

The (not-inclusive) upper bound bound on the LLVM Version that is currently supported.

parseLlvmVersion :: String -> Maybe LlvmVersion Source #

llvmVersionSupported :: LlvmVersion -> Bool Source #

llvmVersionStr :: LlvmVersion -> String Source #

llvmVersionList :: LlvmVersion -> [Int] Source #